Update workspace setup scripts
Update the pre-install and/or post-install scripts for a managed GitHub repository. Omitted scripts are left unchanged. Saving supersedes any running build and invalidates the current build. Requires repository manage permission and a non-read-only API key.
Update the pre-install and/or post-install scripts for a managed GitHub repository. Omitted scripts are left unchanged. Saving supersedes any running build and invalidates the current build. Requires repository manage permission and a non-read-only API key.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
workspace_id*stringThe workspace ID.
application/json- body
Omitted scripts are left unchanged. At least one script is required. Unknown properties are ignored.
1 <= propertiespreInstall?stringlength <= 100000postInstall?stringlength <= 100000Scripts saved
application/json- response
commitSha*stringContent-addressed version of the saved scripts.
curl -X PUT 'https://your-org.inspect.com/api/public/v1/workspaces/string/scripts' \ -H 'Content-Type: application/json' \ -d '{}'{ "commitSha": "string"}